package com.ruoyi.branch.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支部活动预告对象 t_branch_activity_notice
 * 
 * @author ruoyi
 * @date 2023-07-20
 */
public class TBranchActivityNotice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id")
    private Long noticeId;

    /** 联系点领导 */
    @Excel(name = "联系点领导")
    private String contactLeader;

    /** 活动时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "活动时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date activityTime;

    /** 活动地点 */
    @Excel(name = "活动地点")
    private String activityVenue;

    /** 活动内容 */
    @Excel(name = "活动内容")
    private String activityContent;

    /** 联系点领导参加情况 */
    @Excel(name = "联系点领导参加情况")
    private String leaderAttendance;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 活动经费预算 */
    private List<TBranchActivityBudget> budgetList;

    public List<TBranchActivityBudget> getBudgetList() {
        return budgetList;
    }

    public void setBudgetList(List<TBranchActivityBudget> budgetList) {
        this.budgetList = budgetList;
    }

    public void setNoticeId(Long noticeId)
    {
        this.noticeId = noticeId;
    }

    public Long getNoticeId() 
    {
        return noticeId;
    }

    public void setContactLeader(String contactLeader) 
    {
        this.contactLeader = contactLeader;
    }

    public String getContactLeader() 
    {
        return contactLeader;
    }

    public void setActivityTime(Date activityTime) 
    {
        this.activityTime = activityTime;
    }

    public Date getActivityTime() 
    {
        return activityTime;
    }

    public void setActivityVenue(String activityVenue) 
    {
        this.activityVenue = activityVenue;
    }

    public String getActivityVenue() 
    {
        return activityVenue;
    }

    public void setActivityContent(String activityContent) 
    {
        this.activityContent = activityContent;
    }

    public String getActivityContent() 
    {
        return activityContent;
    }

    public void setLeaderAttendance(String leaderAttendance) 
    {
        this.leaderAttendance = leaderAttendance;
    }

    public String getLeaderAttendance() 
    {
        return leaderAttendance;
    }

    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("noticeId", getNoticeId())
            .append("contactLeader", getContactLeader())
            .append("activityTime", getActivityTime())
            .append("activityVenue", getActivityVenue())
            .append("activityContent", getActivityContent())
            .append("leaderAttendance", getLeaderAttendance())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .toString();
    }
}
